# List documents (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/documents/readDocuments)

## GET /rest/v1/documents

List documents

Issued documents of the company. Returns an array; an id you cannot see returns an empty array.

```json
{
  "operationId": "readDocuments",
  "parameters": [
    {
      "in": "query",
      "name": "select",
      "schema": {
        "default": "body",
        "type": "string"
      }
    },
    {
      "in": "query",
      "name": "id",
      "schema": {
        "description": "PostgREST equality filter: eq.<value>",
        "type": "string"
      },
      "description": "PostgREST equality filter: eq.<value>"
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "body": {
                  "$ref": "#/components/schemas/Document"
                }
              },
              "required": [
                "body"
              ],
              "additionalProperties": false
            }
          }
        }
      }
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json